Watchlist says "120000 total pages edited since cutoff"
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
wikibugs-l
Projects
Reference
bz1778
Description

Author: Aphaia

Description:
Special pages bug, Wikimedia site specific or bug of MediaWiki 1.4.0

Watchlist says "120000 total pages edited since cutoff" not depending the real
number of edits. Found on English Wikiquote and Japaense Wikipedia. Perhaps on
other sites, too.


Version: unspecified
Severity: normal

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 8:18 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1778.
bzimport created this task.Via LegacyMar 29 2005, 9:02 PM
bzimport added a comment.Via ConduitApr 23 2005, 2:21 PM

michael wrote:

This is due to a developer error - the watchlist queries have been
removed to save time, and instead been replaced with an estimate
that says 40000*days edits.

The bug is in SpecialWatchlist.php:

// Excessively expensive query removed and replace

with an
estimate that's roughly the same on en.wikipedia.org

// Query below was more expensive than the real

watchlist
queries

/*
$docutoff = "AND cur_timestamp > '$cutoff'";
$sql = "SELECT COUNT(*) AS n FROM $cur WHERE

cur_timestamp>'$cutoff'";

$res = $dbr->query( $sql, $fname );
$s = $dbr->fetchObject( $res );
$npages = $s->n;
*/
$npages = 40000 * $days;

To fix, remove $npages = 40000 * $days; and un-comment the code
directly above.

bzimport added a comment.Via ConduitMay 22 2005, 2:08 AM

crestfall wrote:

I suggest that only the line:

$docutoff = "AND cur_timestamp > '$cutoff'";

be uncommented. This will disable the count query but unbork the SQL.

bzimport added a comment.Via ConduitMay 24 2005, 11:37 AM

j.overmars wrote:

on our wiki (display notices enabled in PHP) there is also a notice displayed:
"undefined variable: docutoff in <strong>C:\WWW\wiki\includes\SpecialWatchlist.php</strong> on line <strong>173</strong>"

bzimport added a comment.Via ConduitJun 10 2005, 8:33 PM

Michael.Keppler wrote:

In 1.5 CVS the page count is calculated by a query again, therefore closing as
FIXED.

brion added a comment.Via ConduitJun 10 2005, 11:15 PM

The whole bit's rather crappy and needs cleanup and merging of fixes from live branch,
reopening.

bzimport added a comment.Via ConduitJun 26 2005, 11:58 PM

jeffq wrote:

en:Wikiquote has just been updated to 1.5beta1, and not only does this problem
still exist there, but Special:Watchlist user watchlist count now erroneously
includes talk pages, even though it explicitly says "not counting talk pages".

brion added a comment.Via ConduitDec 12 2005, 2:59 AM

This debug message got removed some while ago. Resolving FIXED.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.